For Developers

Get Institution

GET https://ed.link/api/v2/institutions/:institution_id

Retrieve a public Institution, its parent institution (if one exists), and its immediate child institutions.

You must provide an application's publishable key (pk_...) as a bearer token to access this endpoint.

Request Parameters

ParameterTypeDescription
institution_idstringThe UUID of the desired Institution.

The response includes:

  • institution — the requested institution with its addresses populated
  • parent — the institution's parent in the public dataset, or null if it has no parent. Includes addresses when present.
  • children — institutions that are direct children of the requested institution. Each child includes its addresses.

Sample Request

axios.get('https://ed.link/api/v2/institutions/00000000-0000-0000-0000-000000000000', {
    headers: {
        authorization: `Bearer ${publishable_key}`
    }
});

Sample Response

{
    "$data": {
        "institution": {
        "_entity_version_id_": "04b5971e-a63e-419f-a963-f7506e8eb8e3",
        "id": "5929a58d-8963-41b8-bb8b-1bb0b05c01d3",
        "name": "Redding Elementary School",
        "description": null,
        "website": "rsdnmp.org",
        "logo": null,
        "type": "district",
        "descriptor": "School District",
        "addresses": [
            {
                "_entity_version_id_": "73043623-5999-4734-a1c0-feddf7aeb400",
                "id": "87736f2f-8bb2-4c7b-9464-0874d23423ef",
                "institution_id": "5929a58d-8963-41b8-bb8b-1bb0b05c01d3",
                "type": "physical",
                "street": "5885 E. Bonnyview Rd.",
                "unit": null,
                "postal_code": "96001",
                "city": "Redding",
                "state": "California",
                "country": "United States",
                "latitude": 40.5309,
                "longitude": -57.626999999999995
            }
        ]
        },
        "parent": null,
        "children": [
            {
                "_entity_version_id_": "998a359f-42a5-40e1-9fd3-91bc5eeabb39",
                "id": "f12fb2e5-5b93-4bdf-8343-00540e4488cb",
                "name": "Sequoia Middle School",
                "description": null,
                "website": null,
                "logo": null,
                "type": "school",
                "descriptor": "school",
                "addresses": []
            },
            {
                "_entity_version_id_": "8eca8cef-87bc-4f1c-a10f-f85918aa6ed5",
                "id": "075540f8-fc8b-4a8d-bdea-457868d35a16",
                "name": "Cypress Elementary School",
                "description": null,
                "website": null,
                "logo": null,
                "type": "school",
                "descriptor": "school",
                "addresses": []
            },
            {
                "_entity_version_id_": "0ba88f86-d90a-42eb-b073-cfac180e72f3",
                "id": "a196cbc8-60f2-4ecf-aeac-b5daec9fd1e8",
                "name": "Stellar Charter School",
                "description": null,
                "website": null,
                "logo": null,
                "type": "school",
                "descriptor": "school",
                "addresses": []
            },
            {
                "_entity_version_id_": "695e4acf-6a86-4fd7-a0fb-375c00ab7ea6",
                "id": "14a6e0ae-a42a-414b-8926-039e1ee45801",
                "name": "Sycamore Elementary School",
                "description": null,
                "website": null,
                "logo": null,
                "type": "school",
                "descriptor": "school",
                "addresses": []
            },
            {
                "_entity_version_id_": "7db3a560-d9b8-4873-8e90-2887ad4ea4c3",
                "id": "156b1c6b-0fc8-4da1-a9aa-b807e073dbdf",
                "name": "Manzanita Elementary School",
                "description": null,
                "website": null,
                "logo": null,
                "type": "school",
                "descriptor": "school",
                "addresses": []
            }
        ]
    },
    "$request": "00000000-0000-0000-0000-000000000000"
}